import { NgtVector3 } from 'angular-three';
import { DepthOfFieldEffect } from 'postprocessing';
import { DepthPackingStrategies, Texture } from 'three';
import * as i0 from "@angular/core";
type DOFOptions = NonNullable<ConstructorParameters<typeof DepthOfFieldEffect>[1]> & Partial<{
    target: NgtVector3;
    depthTexture: {
        texture: Texture;
        packing: DepthPackingStrategies;
    };
}>;
export declare class NgtpDepthOfField {
    options: import("@angular/core").InputSignal<DOFOptions>;
    private autoFocus;
    private effectComposer;
    effect: import("@angular/core").Signal<DepthOfFieldEffect>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpDepthOfField, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpDepthOfField, "ngtp-depth-of-field", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
export {};
